Package org.eclipse.gef.mvc.fx.operations

# Class DetachFromContentAnchorageOperation

java.lang.Object
org.eclipse.core.commands.operations.AbstractOperation
org.eclipse.gef.mvc.fx.operations.DetachFromContentAnchorageOperation

All Implemented Interfaces:
  `IUndoableOperation`, `ITransactionalOperation`

public class DetachFromContentAnchorageOperation extends AbstractOperation implements ITransactionalOperation
The `DetachFromContentAnchorageOperation` uses the `IContentPart` API to detach an anchored from the given anchorage.

## Constructor Summary

Constructors
Constructor
Description
`DetachFromContentAnchorageOperation(IContentPart<? extends Node> anchored, Object contentAnchorage, String role)`
Creates a new `DetachFromContentAnchorageOperation` to detach the given anchored `IContentPart` from the given contentAnchorage under the specified role, so that it will not be returned by subsequent calls to `IContentPart.getContentAnchoragesUnmodifiable()`.

## Method Summary

Modifier and Type
Method
Description
`IStatus`
`execute(IProgressMonitor monitor, IAdaptable info)`
`boolean`
`isContentRelevant()`
Returns `true` if this `ITransactionalOperation` is actually changing model data (instead of only affecting the visualization).
`boolean`
`isNoOp()`
Returns `true` if this `ITransactionalOperation` has no effect (in comparison to its initial state).
`IStatus`
`redo(IProgressMonitor monitor, IAdaptable info)`
`IStatus`
`undo(IProgressMonitor monitor, IAdaptable info)`

### Methods inherited from class org.eclipse.core.commands.operations.AbstractOperation

`addContext, canExecute, canRedo, canUndo, dispose, getContexts, getLabel, hasContext, removeContext, setLabel, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.commands.operations.IUndoableOperation

`addContext, canExecute, canRedo, canUndo, dispose, getContexts, getLabel, hasContext, removeContext`

## Constructor Details

### DetachFromContentAnchorageOperation

public DetachFromContentAnchorageOperation(IContentPart<? extends Node> anchored, Object contentAnchorage, String role)
Creates a new `DetachFromContentAnchorageOperation` to detach the given anchored `IContentPart` from the given contentAnchorage under the specified role, so that it will not be returned by subsequent calls to `IContentPart.getContentAnchoragesUnmodifiable()`.

Parameters:
  `anchored` - The `IContentPart` which is to be detached from the given contentAnchorage.
  `contentAnchorage` - The content object from which the given anchored is to be detached.
  `role` - The role under which the contentAnchorage is anchored.

## Method Details

### execute

public IStatus execute(IProgressMonitor monitor, IAdaptable info) throws ExecutionException

Specified by:
  `execute` in interface `IUndoableOperation`
Specified by:
  `execute` in class `AbstractOperation`
Throws:
  `ExecutionException`

### isContentRelevant

public boolean isContentRelevant()
Description copied from interface: `ITransactionalOperation`
Returns `true` if this `ITransactionalOperation` is actually changing model data (instead of only affecting the visualization). Otherwise returns `false`. The content relevance of an `ITransactionalOperation` can be checked to determine if the execution of the operation will affect the model, for example, to set an editor's dirty flag.

Specified by:
  `isContentRelevant` in interface `ITransactionalOperation`
Returns:
  `true` if this `ITransactionalOperation` is actually changing model data, otherwise `false`.

### isNoOp

public boolean isNoOp()
Description copied from interface: `ITransactionalOperation`
Returns `true` if this `ITransactionalOperation` has no effect (in comparison to its initial state). Otherwise returns `false`.

Specified by:
  `isNoOp` in interface `ITransactionalOperation`
Returns:
  `true` if this `ITransactionalOperation` has no effect, otherwise `false`.

### redo

public IStatus redo(IProgressMonitor monitor, IAdaptable info) throws ExecutionException

Specified by:
  `redo` in interface `IUndoableOperation`
Specified by:
  `redo` in class `AbstractOperation`
Throws:
  `ExecutionException`

### undo

public IStatus undo(IProgressMonitor monitor, IAdaptable info) throws ExecutionException

Specified by:
  `undo` in interface `IUndoableOperation`
Specified by:
  `undo` in class `AbstractOperation`
Throws:
  `ExecutionException`